Module | ActiveMerchant::Billing::Integrations::Gestpay::Common
In: | lib/active_merchant/billing/integrations/gestpay/common.rb

### Methods

parse_response ssl_get

### Constants

VERSION | = | "2.0"
ENCRYPTION_PATH | = | "/CryptHTTPS/Encrypt.asp"
DECRYPTION_PATH | = | "/CryptHTTPS/Decrypt.asp"
DELIMITER | = | '*P1*'
CURRENCY_MAPPING | = | { 'EUR' => '242', 'ITL' => '18', 'BRL' => '234', 'USD' => '1', 'JPY' => '71', 'HKD' => '103'

### Public Instance methods

parse_response(response)
ssl_get(url, path)

[Validate]